QGIS Application - Bug report #14929

Batch Clip with Processing doesnt work with M Polygon

2016-05-31 12:41 AM - Nicolas Rochard

Status: Closed

Priority: Normal
Assignee:

Category: Processing/QGIS

Affected QGIS version:2.14.3
Operating System:
Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22880

Description

Hi,

When i try to use processing in batch mode with QGIS clip function.
It's not working error message said :

"unsupported geometry type"

It's from IGN BdTopo and it's polygon with M dimension. See detail on [[http://paste.opensuse.org/92344906]]

Doesn’t work in QGIS 2.14.3
But work with QGIS 2.14.2

Though it was due to GDAL : https://trac.osgeo.org/gdal/wiki/rfc61_support_for_measured_geometries

So build back 2.0.2 instead of using lastest 2.1 but problem still the same.

Associated revisions

Revision 48949d64 - 2016-06-10 02:30 PM - Alexander Bruy

[processing] improve error message text (refs #14929)

Revision 0553f7b3 - 2016-06-13 10:44 AM - Alexander Bruy

[processing] allow 2.5D geometries (fix #14929)

Revision 1271ec7e - 2016-06-13 10:50 AM - Alexander Bruy

[processing] allow 2.5D geometries (fix #14929)

(cherry picked from commit 0553f7b33b4a3294f9a1cfb24e8c238f9211503d)

Conflicts:
python/plugins/processing/algs/qgis/Clip.py
python/plugins/processing/algs/qgis/Difference.py
python/plugins/processing/algs/qgis/Intersection.py
python/plugins/processing/algs/qgis/SymmetricalDifference.py
python/plugins/processing/algs/qgis/Union.py
http://paste.opensuse.org/92344906
https://trac.osgeo.org/gdal/wiki/rfc61_support_for_measured_geometries

History

#1 - 2016-05-31 12:58 AM - Even Rouault

The problem is due to the presence of 2.5D geometries (nothing to do with M), so the title should be changed

In 2.14, the message is generic: https:/github.com/qgis/QGIS/blob/release-2_14/python/plugins/processing/algs/qqgis/Clip.py#L63 ( Input layer has

unsupported geometry type ). In master it has been made more specific :
https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/qgis/Clip.py#L72 ( Input layer does not support 2.5D type geometry )

#2 - 2016-05-31 01:15 AM - Nicolas Rochard
- Target version set to Version 2.14
- File datatest_sample.zip added

This is a testing sample data.

#3 - 2016-06-10 06:42 AM - Alexander Bruy

- Operating System deleted (Linux openSUSE 42.1)
- Status info deleted (GDAL 2.0.2 and 2.1)

- OS version deleted ( 64 bits)

- Target version deleted (Version 2.14)

- Category set to Processing/QGIS
#4 - 2016-06-10 07:37 AM - Nicolas Rochard

- Target version set to Version 2.14

Would like to be more precise.
I've tested on 2.10 and its work perfectly without error

#5 - 2016-06-10 08:09 AM - Nicolas Rochard

After a feedback with René-Luc D'Hont from 3Liz,

It work again by comment line 64 to 66 in /usr/share/qgis/python/plugins/processing/algs/qgis/Clip.py

#if geomType in GEOM_25D:
# raise GeoAlgorithmExecutionException(

# self.tr('Input layer has unsupported geometry type {}').format(geomType))

Export is still Geometry: 3D Polygon so why there is a testing condition in the code ?

#6 - 2016-06-10 08:32 AM - René-Luc ReLuc

This restriction has been added in commit:d4e400a

Why this restriction? A problem with some GEOS version ?

2025-05-17

2/3


https://github.com/qgis/QGIS/blob/release-2_14/python/plugins/processing/algs/qgis/Clip.py#L63
https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/qgis/Clip.py#L72

#7 - 2016-06-13 01:43 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"0553f7b33b4a3294f9a1cfb24e8¢238f9211503d".

Files

datatest_sample.zip 139 KB 2016-05-30 Nicolas Rochard
